Name:          help2man
Version:       1.47.8
Release:       1mamba
Summary:       A tool for automatically generating simple manual pages from program output
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnu.org/software/help2man
Source:        http://ftp.gnu.org/gnu/help2man/%{name}-%{version}.tar.xz
License:       GPL
BuildRequires: gettext-devel >= 0.17
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: perl-devel
BuildRequires: perl-Locale-gettext >= 1.05
## AUTOBUILDREQ-END
Requires(post):%{__install_info}
Requires:      perl-Locale-gettext
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
help2man is a tool for automatically generating simple manual pages from program output.
It is intended to provide an easy way for software authors to include a manual page in their distribution without having to maintain that document.
Given a program which produces resonably standard --help and --version outputs, help2man will attempt to re-arrange that output into something which resembles a manual page.

%prep
%setup -q

%build
%configure
%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%install_info %{name}.info
#% install_info %{name}-de.info
#% install_info %{name}-pl.info
#% install_info %{name}-uk.info

%preun
%uninstall_info %{name}.info
#% uninstall_info %{name}-de.info
#% uninstall_info %{name}-pl.info
#% uninstall_info %{name}-uk.info

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/help2man
%{_libdir}/help2man/bindtextdomain.so
%{_infodir}/help2man.info.*
%lang(de) %{_infodir}/help2man-de.info.*
%lang(es) %{_infodir}/help2man-es.info.*
%lang(fr) %{_infodir}/help2man-fr.info.*
%lang(pl) %{_infodir}/help2man-pl.info.*
%lang(pt_BR) %{_infodir}/help2man-pt_BR.info.*
%lang(sv) %{_infodir}/help2man-sv.info.*
%lang(uk) %{_infodir}/help2man-uk.info.*
%lang(zh_CN) %{_infodir}/help2man-zh_CN.info.*
%lang(da) %{_mandir}/da/man1/help2man.*
%lang(de) %{_mandir}/de/man1/help2man.*
%lang(el) %{_mandir}/el/man1/help2man.*
%lang(eo) %{_mandir}/eo/man1/help2man.*
%lang(es) %{_mandir}/es/man1/help2man.*
%lang(fi) %{_mandir}/fi/man1/help2man.*
%lang(fr) %{_mandir}/fr/man1/help2man.*
%lang(hr) %{_mandir}/hr/man1/help2man.1*
%lang(hu) %{_mandir}/hu/man1/help2man.1*
%lang(it) %{_mandir}/it/man1/help2man.*
%lang(ja) %{_mandir}/ja/man1/help2man.*
%lang(nb) %{_mandir}/nb/man1/help2man.*
%lang(pl) %{_mandir}/pl/man1/help2man.*
%lang(pt_BR) %{_mandir}/pt_BR/man1/help2man.*
%lang(sr) %{_mandir}/sr/man1/help2man.*
%lang(sv) %{_mandir}/sv/man1/help2man.*
%lang(ru) %{_mandir}/ru/man1/help2man.*
%lang(uk) %{_mandir}/uk/man1/help2man.*
%lang(vi) %{_mandir}/vi/man1/help2man.*
%lang(zh_CN) %{_mandir}/zh_CN/man1/help2man.*
%{_datadir}/man/man1/help2man.*

%changelog
* Thu Dec 06 2018 Automatic Build System <autodist@mambasoft.it> 1.47.8-1mamba
- automatic version update by autodist

* Mon Sep 24 2018 Automatic Build System <autodist@mambasoft.it> 1.47.7-1mamba
- automatic version update by autodist

* Thu Mar 22 2018 Automatic Build System <autodist@mambasoft.it> 1.47.6-1mamba
- automatic version update by autodist

* Sat Sep 23 2017 Automatic Build System <autodist@mambasoft.it> 1.47.5-1mamba
- automatic version update by autodist

* Thu Jun 22 2017 Automatic Build System <autodist@mambasoft.it> 1.47.4-1mamba
- automatic version update by autodist

* Tue Apr 19 2016 Automatic Build System <autodist@mambasoft.it> 1.47.3-1mamba
- automatic version update by autodist

* Tue Mar 03 2015 Automatic Build System <autodist@mambasoft.it> 1.46.5-1mamba
- automatic update by autodist

* Sun Oct 12 2014 Automatic Build System <autodist@mambasoft.it> 1.46.4-1mamba
- automatic update by autodist

* Mon Aug 18 2014 Automatic Build System <autodist@mambasoft.it> 1.46.1-1mamba
- automatic update by autodist

* Sun May 25 2014 Automatic Build System <autodist@mambasoft.it> 1.45.1-1mamba
- automatic update by autodist

* Thu Feb 20 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.44.1-1mamba
- update to 1.44.1

* Sun Jul 14 2013 Automatic Build System <autodist@mambasoft.it> 1.43.3-1mamba
- automatic version update by autodist

* Tue Jun 11 2013 Automatic Build System <autodist@mambasoft.it> 1.43.2-1mamba
- automatic version update by autodist

* Tue May 28 2013 Automatic Build System <autodist@mambasoft.it> 1.42.1-1mamba
- automatic update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 1.41.2-1mamba
- automatic version update by autodist

* Tue Jan 01 2013 Automatic Build System <autodist@mambasoft.it> 1.41.1-1mamba
- automatic version update by autodist

* Fri Oct 12 2012 Automatic Build System <autodist@mambasoft.it> 1.40.12-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Automatic Build System <autodist@mambasoft.it> 1.40.11-1mamba
- automatic version update by autodist

* Wed Jun 13 2012 Automatic Build System <autodist@mambasoft.it> 1.40.10-1mamba
- automatic version update by autodist

* Sat Jun 25 2011 Automatic Build System <autodist@mambasoft.it> 1.40.4-1mamba
- automatic update by autodist

* Mon Mar 07 2011 Automatic Build System <autodist@mambasoft.it> 1.39.1-1mamba
- automatic update by autodist

* Tue Jan 11 2011 Automatic Build System <autodist@mambasoft.it> 1.38.4-1mamba
- automatic update by autodist

* Sun Jun 06 2010 Automatic Build System <autodist@mambasoft.it> 1.38.2-1mamba
- automatic update by autodist

* Wed Jan 13 2010 Automatic Build System <autodist@mambasoft.it> 1.37.1-1mamba
- automatic update by autodist

* Fri Sep 26 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.36.4-2mamba
- updated vendor, distributor and packager email
- fix description format

* Wed Sep 24 2008 gil <puntogil@libero.it> 1.36.4-1mamba
- update to 1.36.4

* Mon Nov 21 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.36.3-1qilnx
- update to version 1.36.3 by autospec
- option -L requires perl-Locale-gettext
- disabled parallel building

* Mon Sep 26 2005 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.35.1-1qilnx
- update to version 1.35.1 by autospec

* Wed Mar 31 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.33.1-1qilnx
- first build
